package com.fs.course.service;

import com.fs.course.domain.FsCourseFinishTemp;
import com.fs.course.vo.FsCourseFinishTempListVO;
import com.fs.course.vo.FsCourseFinishTempVO;

import java.util.List;

/**
 * 完课模板Service接口
 *
 * @author fs
 * @date 2024-12-19
 */
public interface IFsCourseFinishTempService
{
    /**
     * 查询完课模板
     *
     * @param id 完课模板主键
     * @return 完课模板
     */
    public FsCourseFinishTemp selectFsCourseFinishTempById(Long id);
    public FsCourseFinishTempVO selectFsCourseFinishTempByIdVO(Long id);

    /**
     * 查询完课模板列表
     *
     * @param fsCourseFinishTemp 完课模板
     * @return 完课模板集合
     */
    public List<FsCourseFinishTemp> selectFsCourseFinishTempList(FsCourseFinishTemp fsCourseFinishTemp);

    List<FsCourseFinishTempListVO> selectFsCourseFinishTempListVO(FsCourseFinishTemp fsCourseFinishTemp);

    /**
     * 新增完课模板
     *
     * @param fsCourseFinishTemp 完课模板
     * @return 结果
     */
    public int insertFsCourseFinishTemp(FsCourseFinishTemp fsCourseFinishTemp);

    /**
     * 修改完课模板
     *
     * @param fsCourseFinishTemp 完课模板
     * @return 结果
     */
    public int updateFsCourseFinishTemp(FsCourseFinishTemp fsCourseFinishTemp);

    /**
     * 批量删除完课模板
     *
     * @param ids 需要删除的完课模板主键集合
     * @return 结果
     */
    public int deleteFsCourseFinishTempByIds(Long[] ids);

    /**
     * 删除完课模板信息
     *
     * @param id 完课模板主键
     * @return 结果
     */
    public int deleteFsCourseFinishTempById(Long id);

    void deleteByParentIds(Long[] ids);

    /**
     * 将所有的CompanyUserId更新为 企业微信账号
     */
//    public void updateFsCourseFinishTempByCompanyUserId();
}
